Summary: Shared library configuration tool and old dynamic loader
Name: ld.so
Version: 1.9.5
Release: 8
Copyright: BSD
Group: Libraries
Source: sunsite.unc.edu:/pub/Linux/GCC/ld.so-1.9.5.tar.gz
Buildroot: /var/tmp/ld.so-root
Prereq: filesystem
Patch0: ld.so-1.9.5-rpath.patch
Patch1: ld.so-1.9.5-sparc-config.patch
Patch2: ld.so-1.9.5-sparc.patch
Patch3: ld.so-1.9.5-sparc2.patch
Patch4: ld.so-1.9.5-sparc-membar.patch
Patch5: ld.so-1.9.5-sparc-fprs.patch
Patch6: ld.so-1.9.5-sparc-conf32.patch
Patch7: ld.so-1.9.5-sparc-sun4msun4u.patch
Patch8: ld.so-1.9.5-sparc-gafton.patch

Exclusivearch: sparc i386
Summary(de): Gemeinsames Library-Konfigurations-Tool und alter dynamischer Loader  
Summary(fr): Outil de configuration de la bibliothque partage et ancien chargeur dynamique
Summary(tr): Ortak kitaplk yaplandrma arac ve dinamik ykleyici

%description

This package contains the shared library configuration tool, ldconfig, which
is required by many packages. It also includes the shared library loader
and dynamic loader for Linux libc 5.

%description -l de
Dieses Paket enthlt das Shared-Library-Konfigurations-Tool, ldconfig, 
welches fr viele Pakete notwendig ist. Es enthlt auerdem den Shared-Library-
Loader und den dynamischen Loader fr Linux libc 5.

%description -l fr

Ce package contient l'utilitaire de configuration pour les librairies
dynamiques, ldconfig, requis par de nombreux packages. Il contient aussi
le chargeur pour les libraries partages et dynamiques de la libc 5.

%description -l tr
Bu paket, pek ok paketin gereksinim duyduu ortak kitaplklar yaplandrma
aracn ve libc-5 iin ortak kitaplk dinamik ykleyicisini ierir.

%changelog
* Tue Aug 25 1998 Cristian Gafton <gafton@redhat.com>
- do a make clean first to avoid installing i386 binaries on the sparc
- added sparc patches from the ultralinux
- extra patch to get it to compile cleanly on sparc

* Tue Jun 16 1998 Michael Maher <mike@redhat.com>
- Added man page ld.so; fixes bug 530

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix, so that it works on sun4[cdm] and sun4u at the same time

* Fri Mar 20 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Support for sparc.

* Mon Nov 17 1997 Erik Troan <ewt@redhat.com>
- Rather then searching the rpath first, search it after LD_LIBRARY_PATH
  and after the cache. While this breaks the ABI <gulp> it works significantly
  better for real-world libc 5 X apps which specify /usr/X11R6/lib as their
  rpath.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- removed ldconfig from archive
- don't build on alpha

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- build just ldconfig on alpha

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- updated to 1.9.5
- added /etc/ld.so to filelist

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built version for coexistence w/ GNU libc

%prep
%setup
%patch0 -p1 -b .rpath
%patch1 -p1 -b .patch1
%patch2 -p1 -b .patch2
%patch3 -p1 -b .patch3
%patch4 -p0 -b .patch4
%patch5 -p0 -b .patch5
%patch6 -p0 -b .patch6
%patch7 -p0 -b .patch7
%patch8 -p1 -b .patch8

%build
ARCH=$RPM_ARCH make -C d-link clean
ARCH=$RPM_ARCH make -C d-link
# don't need the i386 a.out loader on the sparc
%ifarch sparc
make clean -C ld-so
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

PREFIX=$RPM_BUILD_ROOT sh instldso.sh --force

# we get ldd from GNU libc
rm -f $RPM_BUILD_ROOT/usr/bin/ldd $RPM_BUILD_ROOT/sbin/ldconfig
rm -f $RPM_BUILD_ROOT/usr/info/ld.so.info

# ideally, these would come from GNU libc, but this is the best we can do
install -m 644 man/dlopen.3 $RPM_BUILD_ROOT/usr/man/man3
ln -sf dlopen.3 $RPM_BUILD_ROOT/usr/man/man3/dlsym.3
ln -sf dlopen.3 $RPM_BUILD_ROOT/usr/man/man3/dlerror.3
ln -sf dlopen.3 $RPM_BUILD_ROOT/usr/man/man3/dlclose.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifarch i386
/lib/ld.so.1.9.5
/lib/ld.so
%endif
/lib/ld-linux.so.1.9.5
/lib/ld-linux.so.1
/lib/libdl.so.1.9.5
/usr/man/man1/ldd.1
/usr/man/man3/dlopen.3
/usr/man/man3/dlsym.3
/usr/man/man3/dlerror.3
/usr/man/man3/dlclose.3
/usr/man/man8/ldconfig.8
/usr/man/man8/ld.so.8
